Page 1 of 2

Upgrading to PHPBB3.1

Posted: Fri Dec 30, 2016 3:49 pm
by cybertroner
Hello colleagues!
Finally decided to upgrade my forum (http://tf-russia.ru/forum/) to PHPBB 3.1, because my hoster recently upgraded software. I followed the instructions here https://www.phpbb.com/support/docs/en/3 ... /upgrade3/ then checked rights for folders /install, /cache, /files, /store and changed them to 777. Rights for config.php is 666. Now when I open http://tf-russia.ru/forum/install/database_update.php I get white screen or message that server or file isn't found :( CMS on site is working. PHP version is 5.4.16.

Re: Upgrading to PHPBB3.1

Posted: Fri Dec 30, 2016 4:34 pm
by Noxwizard
What do the server error logs say?

Re: Upgrading to PHPBB3.1

Posted: Fri Dec 30, 2016 6:23 pm
by cybertroner
[Fri Dec 30 03:00:10.668013 2016] [:error] [pid 231777] [client 46.229.168.67:27260] PHP Fatal error: require(): Failed opening required './phpbb/class_loader.php' (include_path='.:/usr/share/pear:/usr/share/php') in /var/www/tfrussia/data/www/tf-russia.ru/forum/common.php on line 24
this repeats many times

Re: Upgrading to PHPBB3.1

Posted: Sat Dec 31, 2016 3:04 am
by Noxwizard
Looks like you may be missing some files. Re-upload the /phpbb/ directory to your board.

Re: Upgrading to PHPBB3.1

Posted: Sat Dec 31, 2016 2:48 pm
by cybertroner
I re-uploded files, but problem remains Browser shows Table 'phpBB.phpbb3_ext' doesn't exists [1146]

Re: Upgrading to PHPBB3.1

Posted: Sat Dec 31, 2016 3:12 pm
by cybertroner
In the file class_loader my editor point out a error on string 58 $this->namespace=$namespace; unexpected T_NAMESPACE

Re: Upgrading to PHPBB3.1

Posted: Sat Dec 31, 2016 4:30 pm
by stevemaury
Have you browsed to install/database_update.php?

Re: Upgrading to PHPBB3.1

Posted: Sat Dec 31, 2016 4:51 pm
by cybertroner
Yes :( White screen

Re: Upgrading to PHPBB3.1

Posted: Sat Dec 31, 2016 5:39 pm
by Noxwizard
After re-uploading the files, does the server error log show the same thing? The forum will continue to give an error about the ext table until the database update is performed.

Re: Upgrading to PHPBB3.1

Posted: Sat Dec 31, 2016 6:06 pm
by cybertroner
logs have this
[Sat Dec 31 21:00:10.094730 2016] [:error] [pid 572597] [client 217.107.125.95:7359] PHP Fatal error: Namespace declaration statement has to be the very first statement in the script in /var/www/tfrussia/data/www/tf-russia.ru/forum/vendor/symfony/dependency-injection/Symfony/Component/DependencyInjection/Compiler/CheckDefinitionValidityPass.php on line 12

Re: Upgrading to PHPBB3.1

Posted: Sat Dec 31, 2016 6:22 pm
by cybertroner
I re-uploaded file CheckDefinitionValidityPass.php and it finally shows
Updating database to latest stable release What I should do now?

Re: Upgrading to PHPBB3.1

Posted: Sat Dec 31, 2016 7:17 pm
by stevemaury
Wait for it to finish, delete the /install folder and you should be good to go.

Re: Upgrading to PHPBB3.1

Posted: Sun Jan 01, 2017 12:43 am
by cybertroner
Happy New Year everyone!
No, process isn't finishing :( New message from logs[Sun Jan 01 01:27:04.926571 2017] [:error] [pid 891955] [client 66.249.66.95:8186] PHP Fatal error: Cannot redeclare class phpbb\\db\\migration\\data\\v310\\mod_rewrite in /var/www/tfrussia/data/www/tf-russia.ru/forum/phpbb/db/migration/data/v31x/mod_rewrite.php on line 31 It's strange, but from my archive I don't see such file in /v31x directory only in /v310

Re: Upgrading to PHPBB3.1

Posted: Sun Jan 01, 2017 1:44 pm
by cybertroner
After some tricks forum updated, but only acp is working I deleted install directory, change rights for config file, cleared cache, but still in the forum I get message No route found for "GET /index.php"

Re: Upgrading to PHPBB3.1

Posted: Sun Jan 01, 2017 4:15 pm
by cybertroner
server shows following in the logs[Sun Jan 01 18:31:15.289840 2017] [autoindex:error] [pid 953731] [client 212.150.211.168:25919] AH01276: Cannot serve directory /var/www/tfrussia/data/www/tf-russia.ru/forum/: No matching DirectoryIndex (index.html,index.php) found, and server-generated directory index forbidden by Options directive